#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSCustomPropertyRegisteredEvent = 908,
  CSSFontFaceRule = 941,
  CSSFontFeatureValuesRule = 957,
  CSSFontPaletteValuesRule = 982,
  CSSGroupingRule = 1007,
  CSSImportRule = 1023,
  CSSKeyframeRule = 1037,
  CSSKeyframesRule = 1053,
  CSSLayerBlockRule = 1070,
  CSSLayerStatementRule = 1088,
  CSSMediaRule = 1110,
  CSSMozDocumentRule = 1123,
  CSSNamespaceRule = 1142,
  CSSPageRule = 1159,
  CSSPropertyRule = 1171,
  CSSPseudoElement = 1187,
  CSSRule = 1204,
  CSSRuleList = 1212,
  CSSStyleDeclaration = 1224,
  CSSStyleRule = 1244,
  CSSStyleSheet = 1257,
  CSSSupportsRule = 1271,
  CSSTransition = 1287,
  Cache = 1301,
  CacheStorage = 1307,
  CallbackDebuggerNotification = 1320,
  CanonicalBrowsingContext = 1349,
  CanvasCaptureMediaStream = 1374,
  CanvasGradient = 1399,
  CanvasPattern = 1414,
  CanvasRenderingContext2D = 1428,
  CaretPosition = 1453,
  CaretStateChangedEvent = 1467,
  ChannelMergerNode = 1490,
  ChannelSplitterNode = 1508,
  ChannelWrapper = 1528,
  CharacterData = 1543,
  CheckerboardReportService = 1557,
  ChildProcessMessageManager = 1583,
  ChildSHistory = 1610,
  ChromeMessageBroadcaster = 1624,
  ChromeMessageSender = 1649,
  ChromeNodeList = 1669,
  ChromeUtils = 1684,
  ChromeWorker = 1696,
  Client = 1709,
  Clients = 1716,
  Clipboard = 1724,
  ClipboardEvent = 1734,
  ClipboardItem = 1749,
  ClonedErrorHolder = 1763,
  CloseEvent = 1781,
  CommandEvent = 1792,
  Comment = 1805,
  CompositionEvent = 1813,
  CompressionStream = 1830,
  ConsoleInstance = 1848,
  ConstantSourceNode = 1864,
  ContentFrameMessageManager = 1883,
  ContentProcessMessageManager = 1910,
  ContentVisibilityAutoStateChangeEvent = 1939,
  ConvolverNode = 1977,
  CountQueuingStrategy = 1991,
  CreateOfferRequest = 2012,
  Credential = 2031,
  CredentialsContainer = 2042,
  Crypto = 2063,
  CryptoKey = 2070,
  CustomElementRegistry = 2080,
  CustomEvent = 2102,
  CustomStateSet = 2114,
  DOMException = 2129,
  DOMImplementation = 2142,
  DOMLocalization = 2160,
  DOMMatrix = 2176,
  DOMMatrixReadOnly = 2186,
  DOMParser = 2204,
  DOMPoint = 2214,
  DOMPointReadOnly = 2223,
  DOMQuad = 2240,
  DOMRect = 2248,
  DOMRectList = 2256,
  DOMRectReadOnly = 2268,
  DOMRequest = 2284,
  DOMStringList = 2295,
  DOMStringMap = 2309,
  DOMTokenList = 2322,
  DataTransfer = 2335,
  DataTransferItem = 2348,
  DataTransferItemList = 2365,
  DebuggerNotification = 2386,
  DebuggerNotificationObserver = 2407,
  DecompressionStream = 2436,
  DedicatedWorkerGlobalScope = 2456,
  DelayNode = 2483,
  DeprecationReportBody = 2493,
  DeviceAcceleration = 2515,
  DeviceLightEvent = 2534,
  DeviceMotionEvent = 2551,
  DeviceOrientationEvent = 2569,
  DeviceRotationRate = 2592,
  Directory = 2611,
  Document = 2621,
  DocumentFragment = 2630,
  DocumentL10n = 2647,
  DocumentTimeline = 2660,
  DocumentType = 2677,
  DominatorTree = 2690,
  DragEvent = 2704,
  DynamicsCompressorNode = 2714,
  EXT_blend_minmax = 2737,
  EXT_color_buffer_float = 2754,
  EXT_color_buffer_half_float = 2777,
  EXT_disjoint_timer_query = 2805,
  EXT_float_blend = 2830,
  EXT_frag_depth = 2846,
  EXT_sRGB = 2861,
  EXT_shader_texture_lod = 2870,
  EXT_texture_compression_bptc = 2893,
  EXT_texture_compression_rgtc = 2922,
  EXT_texture_filter_anisotropic = 2951,
  EXT_texture_norm16 = 2982,
  Element = 3001,
  ElementInternals = 3009,
  EncodedVideoChunk = 3026,
  ErrorEvent = 3044,
  Event = 3055,
  EventCallbackDebuggerNotification = 3061,
  EventCounts = 3095,
  EventSource = 3107,
  EventTarget = 3119,
  Exception = 3131,
  ExtendableEvent = 3141,
  ExtendableMessageEvent = 3157,
  ExtensionAlarms = 3180,
  ExtensionBrowser = 3196,
  ExtensionBrowserSettings = 3213,
  ExtensionBrowserSettingsColorManagement = 3238,
  ExtensionDns = 3278,
  ExtensionEventManager = 3291,
  ExtensionMockAPI = 3313,
  ExtensionPort = 3330,
  ExtensionProxy = 3344,
  ExtensionRuntime = 3359,
  ExtensionScripting = 3376,
  ExtensionSetting = 3395,
  ExtensionTest = 3412,
  External = 3426,
  FeaturePolicy = 3435,
  FeaturePolicyViolationReportBody = 3449,
  FetchEvent = 3482,
  FetchObserver = 3493,
  File = 3507,
  FileList = 3512,
  FileReader = 3521,
  FileReaderSync = 3532,
  FileSystem = 3547,
  FileSystemDirectoryEntry = 3558,
  FileSystemDirectoryHandle = 3583,
  FileSystemDirectoryHandle_AsyncIterator = 3609,
  FileSystemDirectoryIterator = 3649,
  FileSystemDirectoryReader = 3677,
  FileSystemEntry = 3703,
  FileSystemFileEntry = 3719,
  FileSystemFileHandle = 3739,
  FileSystemHandle = 3760,
  FileSystemSyncAccessHandle = 3777,
  FileSystemWritableFileStream = 3804,
  Flex = 3833,
  FlexItemValues = 3838,
  FlexLineValues = 3853,
  FluentBundle = 3868,
  FluentBundleAsyncIterator = 3881,
  FluentBundleIterator = 3907,
  FluentPattern = 3928,
  FluentResource = 3942,
  FocusEvent = 3957,
  FontFace = 3968,
  FontFaceSet = 3977,
  FontFaceSetIterator = 3989,
  FontFaceSetLoadEvent = 4009,
  FormData = 4030,
  FormData_Iterator = 4039,
  FormDataEvent = 4057,
  FrameCrashedEvent = 4071,
  FrameLoader = 4089,
  GPU = 4101,
  GPUAdapter = 4105,
  GPUAdapterInfo = 4116,
  GPUBindGroup = 4131,
  GPUBindGroupLayout = 4144,
  GPUBuffer = 4163,
  GPUBufferUsage = 4173,
  GPUCanvasContext = 4188,
  GPUColorWrite = 4205,
  GPUCommandBuffer = 4219,
  GPUCommandEncoder = 4236,
  GPUCompilationInfo = 4254,
  GPUCompilationMessage = 4273,
  GPUComputePassEncoder = 4295,
  GPUComputePipeline = 4317,
  GPUDevice = 4336,
  GPUDeviceLostInfo = 4346,
  GPUError = 4364,
  GPUInternalError = 4373,
  GPUMapMode = 4390,
  GPUOutOfMemoryError = 4401,
  GPUPipelineLayout = 4421,
  GPUQuerySet = 4439,
  GPUQueue = 4451,
  GPURenderBundle = 4460,
  GPURenderBundleEncoder = 4476,
  GPURenderPassEncoder = 4499,
  GPURenderPipeline = 4520,
  GPUSampler = 4538,
  GPUShaderModule = 4549,
  GPUShaderStage = 4565,
  GPUSupportedFeatures = 4580,
  GPUSupportedLimits = 4601,
  GPUTexture = 4620,
  GPUTextureUsage = 4631,
  GPUTextureView = 4647,
  GPUUncapturedErrorEvent = 4662,
  GPUValidationError = 4686,
  GainNode = 4705,
  Gamepad = 4714,
  GamepadAxisMoveEvent = 4722,
  GamepadButton = 4743,
  GamepadButtonEvent = 4757,
  GamepadEvent = 4776,
  GamepadHapticActuator = 4789,
  GamepadLightIndicator = 4811,
  GamepadPose = 4833,
  GamepadServiceTest = 4845,
  GamepadTouch = 4864,
  Geolocation = 4877,
  GeolocationCoordinates = 4889,
  GeolocationPosition = 4912,
  GeolocationPositionError = 4932,
  GetUserMediaRequest = 4957,
  GleanBoolean = 4977,
  GleanCategory = 4990,
  GleanCounter = 5004,
  GleanCustomDistribution = 5017,
  GleanDatetime = 5041,
  GleanDenominator = 5055,
  GleanEvent = 5072,
  GleanImpl = 5083,
  GleanLabeled = 5093,
  GleanMemoryDistribution = 5106,
  GleanMetric = 5130,
  GleanNumerator = 5142,
  GleanPingsImpl = 5157,
  GleanQuantity = 5172,
  GleanRate = 5186,
  GleanString = 5196,
  GleanStringList = 5208,
  GleanText = 5224,
  GleanTimespan = 5234,
  GleanTimingDistribution = 5248,
  GleanUrl = 5272,
  GleanUuid = 5281,
  Grid = 5291,
  GridArea = 5296,
  GridDimension = 5305,
  GridLine = 5319,
  GridLines = 5328,
  GridTrack = 5338,
  GridTracks = 5348,
  HTMLAllCollection = 5359,
  HTMLAnchorElement = 5377,
  HTMLAreaElement = 5395,
  HTMLAudioElement = 5411,
  HTMLBRElement = 5428,
  HTMLBaseElement = 5442,
  HTMLBodyElement = 5458,
  HTMLButtonElement = 5474,
  HTMLCanvasElement = 5492,
  HTMLCollection = 5510,
  HTMLDListElement = 5525,
  HTMLDataElement = 5542,
  HTMLDataListElement = 5558,
  HTMLDetailsElement = 5578,
  HTMLDialogElement = 5597,
  HTMLDirectoryElement = 5615,
  HTMLDivElement = 5636,
  HTMLDocument = 5651,
  HTMLElement = 5664,
  HTMLEmbedElement = 5676,
  HTMLFieldSetElement = 5693,
  HTMLFontElement = 5713,
  HTMLFormControlsCollection = 5729,
  HTMLFormElement = 5756,
  HTMLFrameElement = 5772,
  HTMLFrameSetElement = 5789,
  HTMLHRElement = 5809,
  HTMLHeadElement = 5823,
  HTMLHeadingElement = 5839,
  HTMLHtmlElement = 5858,
  HTMLIFrameElement = 5874,
  HTMLImageElement = 5892,
  HTMLInputElement = 5909,
  HTMLLIElement = 5926,
  HTMLLabelElement = 5940,
  HTMLLegendElement = 5957,
  HTMLLinkElement = 5975,
  HTMLMapElement = 5991,
  HTMLMarqueeElement = 6006,
  HTMLMediaElement = 6025,
  HTMLMenuElement = 6042,
  HTMLMetaElement = 6058,
  HTMLMeterElement = 6074,
  HTMLModElement = 6091,
  HTMLOListElement = 6106,
  HTMLObjectElement = 6123,
  HTMLOptGroupElement = 6141,
  HTMLOptionElement = 6161,
  HTMLOptionsCollection = 6179,
  HTMLOutputElement = 6201,
  HTMLParagraphElement = 6219,
  HTMLParamElement = 6240,
  HTMLPictureElement = 6257,
  HTMLPreElement = 6276,
  HTMLProgressElement = 6291,
  HTMLQuoteElement = 6311,
  HTMLScriptElement = 6328,
  HTMLSelectElement = 6346,
  HTMLSlotElement = 6364,
  HTMLSourceElement = 6380,
  HTMLSpanElement = 6398,
  HTMLStyleElement = 6414,
  HTMLTableCaptionElement = 6431,
  HTMLTableCellElement = 6455,
  HTMLTableColElement = 6476,
  HTMLTableElement = 6496,
  HTMLTableRowElement = 6513,
  HTMLTableSectionElement = 6533,
  HTMLTemplateElement = 6557,
  HTMLTextAreaElement = 6577,
  HTMLTimeElement = 6597,
  HTMLTitleElement = 6613,
  HTMLTrackElement = 6630,
  HTMLUListElement = 6647,
  HTMLUnknownElement = 6664,
  HTMLVideoElement = 6683,
  HashChangeEvent = 6700,
  Headers = 6716,
  Headers_Iterator = 6724,
  HeapSnapshot = 6741,
  Highlight = 6754,
  HighlightRegistry = 6764,
  History = 6782,
  IDBCursor = 6790,
  IDBCursorWithValue = 6800,
  IDBDatabase = 6819,
  IDBFactory = 6831,
  IDBIndex = 6842,
  IDBKeyRange = 6851,
  IDBObjectStore = 6863,
  IDBOpenDBRequest = 6878,
  IDBRequest = 6895,
  IDBTransaction = 6906,
  IDBVersionChangeEvent = 6921,
  IIRFilterNode = 6943,
  IOUtils = 6957,
  IdentityCredential = 6965,
  IdleDeadline = 6984,
  Image = 6997,
  ImageBitmap = 7003,
  ImageBitmapRenderingContext = 7015,
  ImageCapture = 7043,
  ImageCaptureError = 7056,
  ImageCaptureErrorEvent = 7074,
  ImageData = 7097,
  ImageDocument = 7107,
  InputEvent = 7121,
  InspectorFontFace = 7132,
  InspectorUtils = 7150,
  InstallTriggerImpl = 7165,
  IntersectionObserver = 7184,
  IntersectionObserverEntry = 7205,
  IntlUtils = 7231,
  InvokeEvent = 7241,
  JSProcessActorChild = 7253,
  JSProcessActorParent = 7273,
  JSWindowActorChild = 7294,
  JSWindowActorParent = 7313,
  KeyEvent = 7333,
  KeyboardEvent = 7342,
  KeyframeEffect = 7356,
  L10nFileSource = 7371,
  L10nOverlays = 7386,
  L10nRegistry = 7399,
  LargestContentfulPaint = 7412,
  LegacyMozTCPSocket = 7435,
  Localization = 7454,
  Location = 7467,
  Lock = 7476,
  LockManager = 7481,
  MIDIAccess = 7493,
  MIDIConnectionEvent = 7504,
  MIDIInput = 7524,
  MIDIInputMap = 7534,
  MIDIMessageEvent = 7547,
  MIDIOutput = 7564,
  MIDIOutputMap = 7575,
  MIDIPort = 7589,
  MOZ_debug = 7598,
  MatchGlob = 7608,
  MatchPattern = 7618,
  MatchPatternSet = 7631,
  MathMLElement = 7647,
  MediaCapabilities = 7661,
  MediaCapabilitiesInfo = 7679,
  MediaControlService = 7701,
  MediaController = 7721,
  MediaDeviceInfo = 7737,
  MediaDevices = 7753,
  MediaElementAudioSourceNode = 7766,
  MediaEncryptedEvent = 7794,
  MediaError = 7814,
  MediaKeyError = 7825,
  MediaKeyMessageEvent = 7839,
  MediaKeySession = 7860,
  MediaKeyStatusMap = 7876,
  MediaKeyStatusMap_Iterator = 7894,
  MediaKeySystemAccess = 7921,
  MediaKeys = 7942,
  MediaList = 7952,
  MediaMetadata = 7962,
  MediaQueryList = 7976,
  MediaQueryListEvent = 7991,
  MediaRecorder = 8011,
  MediaRecorderErrorEvent = 8025,
  MediaSession = 8049,
  MediaSource = 8062,
  MediaStream = 8074,
  MediaStreamAudioDestinationNode = 8086,
  MediaStreamAudioSourceNode = 8118,
  MediaStreamError = 8145,
  MediaStreamEvent = 8162,
  MediaStreamTrack = 8179,
  MediaStreamTrackAudioSourceNode = 8196,
  MediaStreamTrackEvent = 8228,
  MerchantValidationEvent = 8250,
  MessageBroadcaster = 8274,
  MessageChannel = 8293,
  MessageEvent = 8308,
  MessageListenerManager = 8321,
  MessagePort = 8344,
  MessageSender = 8356,
  MimeType = 8370,
  MimeTypeArray = 8379,
  MouseEvent = 8393,
  MouseScrollEvent = 8404,
  MozCanvasPrintState = 8421,
  MozDocumentMatcher = 8441,
  MozDocumentObserver = 8460,
  MozQueryInterface = 8480,
  MozSharedMap = 8498,
  MozSharedMap_Iterator = 8511,
  MozSharedMapChangeEvent = 8533,
  MozStorageAsyncStatementParams = 8557,
  MozStorageStatementParams = 8588,
  MozStorageStatementRow = 8614,
  MozWritableSharedMap = 8637,
  MutationEvent = 8658,
  MutationObserver = 8672,
  MutationRecord = 8689,
  NamedNodeMap = 8704,
  NavigationPreloadManager = 8717,
  Navigator = 8742,
  NetworkInformation = 8752,
  Node = 8771,
  NodeFilter = 8776,
  NodeIterator = 8787,
  NodeList = 8800,
  Notification = 8809,
  NotificationEvent = 8822,
  NotifyPaintEvent = 8840,
  OES_draw_buffers_indexed = 8857,
  OES_element_index_uint = 8882,
  OES_fbo_render_mipmap = 8905,
  OES_standard_derivatives = 8927,
  OES_texture_float = 8952,
  OES_texture_float_linear = 8970,
  OES_texture_half_float = 8995,
  OES_texture_half_float_linear = 9018,
  OES_vertex_array_object = 9048,
  OVR_multiview2 = 9072,
  OfflineAudioCompletionEvent = 9087,
  OfflineAudioContext = 9115,
  OffscreenCanvas = 9135,
  OffscreenCanvasRenderingContext2D = 9151,
  Option = 9185,
  OscillatorNode = 9192,
  PageTransitionEvent = 9207,
  PaintRequest = 9227,
  PaintRequestList = 9240,
  PaintWorkletGlobalScope = 9257,
  PannerNode = 9281,
  ParentProcessMessageManager = 9292,
  Path2D = 9320,
  PathUtils = 9327,
  PaymentAddress = 9337,
  PaymentMethodChangeEvent = 9352,
  PaymentRequest = 9377,
  PaymentRequestUpdateEvent = 9392,
  PaymentResponse = 9418,
  Performance = 9434,
  PerformanceEntry = 9446,
  PerformanceEntryEvent = 9463,
  PerformanceEventTiming = 9485,
  PerformanceMark = 9508,
  PerformanceMeasure = 9524,
  PerformanceNavigation = 9543,
  PerformanceNavigationTiming = 9565,
  PerformanceObserver = 9593,
  PerformanceObserverEntryList = 9613,
  PerformancePaintTiming = 9642,
  PerformanceResourceTiming = 9665,
  PerformanceServerTiming = 9691,
  PerformanceTiming = 9715,
  PeriodicWave = 9733,
  PermissionStatus = 9746,
  Permissions = 9763,
  PlacesBookmark = 9775,
  PlacesBookmarkAddition = 9790,
  PlacesBookmarkChanged = 9813,
  PlacesBookmarkGuid = 9835,
  PlacesBookmarkKeyword = 9854,
  PlacesBookmarkMoved = 9876,
  PlacesBookmarkRemoved = 9896,
  PlacesBookmarkTags = 9918,
  PlacesBookmarkTime = 9937,
  PlacesBookmarkTitle = 9956,
  PlacesBookmarkUrl = 9976,
  PlacesEvent = 9994,
  PlacesFavicon = 10006,
  PlacesHistoryCleared = 10020,
  PlacesObservers = 10041,
  PlacesPurgeCaches = 10057,
  PlacesRanking = 10075,
  PlacesVisit = 10089,
  PlacesVisitRemoved = 10101,
  PlacesVisitTitle = 10120,
  PlacesWeakCallbackWrapper = 10137,
  Plugin = 10163,
  PluginArray = 10170,
  PluginCrashedEvent = 10182,
  PointerEvent = 10201,
  PopStateEvent = 10214,
  PopupBlockedEvent = 10228,
  PopupPositionedEvent = 10246,
  PositionStateEvent = 10267,
  PrecompiledScript = 10286,
  ProcessMessageManager = 10304,
  ProcessingInstruction = 10326,
  ProgressEvent = 10348,
  PromiseDebugging = 10362,
  PromiseNativeHandler = 10379,
  PromiseRejectionEvent = 10400,
  PublicKeyCredential = 10422,
  PushEvent = 10442,
  PushManager = 10452,
  PushManagerImpl = 10464,
  PushMessageData = 10480,
  PushSubscription = 10496,
  PushSubscriptionOptions = 10513,
  RadioNodeList = 10537,
  Range = 10551,
  ReadableByteStreamController = 10557,
  ReadableStream = 10586,
  ReadableStream_AsyncIterator = 10601,
  ReadableStreamBYOBReader = 10630,
  ReadableStreamBYOBRequest = 10655,
  ReadableStreamDefaultController = 10681,
  ReadableStreamDefaultReader = 10713,
  Report = 10741,
  ReportBody = 10748,
  ReportingObserver = 10759,
  Request = 10777,
  ResizeObserver = 10785,
  ResizeObserverEntry = 10800,
  ResizeObserverSize = 10820,
  Response = 10839,
  SVGAElement = 10848,
  SVGAngle = 10860,
  SVGAnimateElement = 10869,
  SVGAnimateMotionElement = 10887,
  SVGAnimateTransformElement = 10911,
  SVGAnimatedAngle = 10938,
  SVGAnimatedBoolean = 10955,
  SVGAnimatedEnumeration = 10974,
  SVGAnimatedInteger = 10997,
  SVGAnimatedLength = 11016,
  SVGAnimatedLengthList = 11034,
  SVGAnimatedNumber = 11056,
  SVGAnimatedNumberList = 11074,
  SVGAnimatedPreserveAspectRatio = 11096,
  SVGAnimatedRect = 11127,
  SVGAnimatedString = 11143,
  SVGAnimatedTransformList = 11161,
  SVGAnimationElement = 11186,
  SVGCircleElement = 11206,
  SVGClipPathElement = 11223,
  SVGComponentTransferFunctionElement = 11242,
  SVGDefsElement = 11278,
  SVGDescElement = 11293,
  SVGElement = 11308,
  SVGEllipseElement = 11319,
  SVGFEBlendElement = 11337,
  SVGFEColorMatrixElement = 11355,
  SVGFEComponentTransferElement = 11379,
  SVGFECompositeElement = 11409,
  SVGFEConvolveMatrixElement = 11431,
  SVGFEDiffuseLightingElement = 11458,
  SVGFEDisplacementMapElement = 11486,
  SVGFEDistantLightElement = 11514,
  SVGFEDropShadowElement = 11539,
  SVGFEFloodElement = 11562,
  SVGFEFuncAElement = 11580,
  SVGFEFuncBElement = 11598,
  SVGFEFuncGElement = 11616,
  SVGFEFuncRElement = 11634,
  SVGFEGaussianBlurElement = 11652,
  SVGFEImageElement = 11677,
  SVGFEMergeElement = 11695,
  SVGFEMergeNodeElement = 11713,
  SVGFEMorphologyElement = 11735,
  SVGFEOffsetElement = 11758,
  SVGFEPointLightElement = 11777,
  SVGFESpecularLightingElement = 11800,
  SVGFESpotLightElement = 11829,
  SVGFETileElement = 11851,
  SVGFETurbulenceElement = 11868,
  SVGFilterElement = 11891,
  SVGForeignObjectElement = 11908,
  SVGGElement = 11932,
  SVGGeometryElement = 11944,
  SVGGradientElement = 11963,
  SVGGraphicsElement = 11982,
  SVGImageElement = 12001,
  SVGLength = 12017,
  SVGLengthList = 12027,
  SVGLineElement = 12041,
  SVGLinearGradientElement = 12056,
  SVGMPathElement = 12081,
  SVGMarkerElement = 12097,
  SVGMaskElement = 12114,
  SVGMatrix = 12129,
  SVGMetadataElement = 12139,
  SVGNumber = 12158,
  SVGNumberList = 12168,
  SVGPathElement = 12182,
  SVGPathSeg = 12197,
  SVGPathSegArcAbs = 12208,
  SVGPathSegArcRel = 12225,
  SVGPathSegClosePath = 12242,
  SVGPathSegCurvetoCubicAbs = 12262,
  SVGPathSegCurvetoCubicRel = 12288,
  SVGPathSegCurvetoCubicSmoothAbs = 12314,
  SVGPathSegCurvetoCubicSmoothRel = 12346,
  SVGPathSegCurvetoQuadraticAbs = 12378,
  SVGPathSegCurvetoQuadraticRel = 12408,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12438,
  SVGPathSegCurvetoQuadraticSmoothRel = 12474,
  SVGPathSegLinetoAbs = 12510,
  SVGPathSegLinetoHorizontalAbs = 12530,
  SVGPathSegLinetoHorizontalRel = 12560,
  SVGPathSegLinetoRel = 12590,
  SVGPathSegLinetoVerticalAbs = 12610,
  SVGPathSegLinetoVerticalRel = 12638,
  SVGPathSegList = 12666,
  SVGPathSegMovetoAbs = 12681,
  SVGPathSegMovetoRel = 12701,
  SVGPatternElement = 12721,
  SVGPoint = 12739,
  SVGPointList = 12748,
  SVGPolygonElement = 12761,
  SVGPolylineElement = 12779,
  SVGPreserveAspectRatio = 12798,
  SVGRadialGradientElement = 12821,
  SVGRect = 12846,
  SVGRectElement = 12854,
  SVGSVGElement = 12869,
  SVGScriptElement = 12883,
  SVGSetElement = 12900,
  SVGStopElement = 12914,
  SVGStringList = 12929,
  SVGStyleElement = 12943,
  SVGSwitchElement = 12959,
  SVGSymbolElement = 12976,
  SVGTSpanElement = 12993,
  SVGTextContentElement = 13009,
  SVGTextElement = 13031,
  SVGTextPathElement = 13046,
  SVGTextPositioningElement = 13065,
  SVGTitleElement = 13091,
  SVGTransform = 13107,
  SVGTransformList = 13120,
  SVGUnitTypes = 13137,
  SVGUseElement = 13150,
  SVGViewElement = 13164,
  Sanitizer = 13179,
  Scheduler = 13189,
  Screen = 13199,
  ScreenLuminance = 13206,
  ScreenOrientation = 13222,
  ScriptProcessorNode = 13240,
  ScrollAreaEvent = 13260,
  ScrollViewChangeEvent = 13276,
  SecurityPolicyViolationEvent = 13298,
  Selection = 13327,
  ServiceWorker = 13337,
  ServiceWorkerContainer = 13351,
  ServiceWorkerGlobalScope = 13374,
  ServiceWorkerRegistration = 13399,
  SessionStoreFormData = 13425,
  SessionStoreScrollData = 13446,
  SessionStoreUtils = 13469,
  ShadowRealmGlobalScope = 13487,
  ShadowRoot = 13510,
  SharedWorker = 13521,
  SharedWorkerGlobalScope = 13534,
  SimpleGestureEvent = 13558,
  SourceBuffer = 13577,
  SourceBufferList = 13590,
  SpeechGrammar = 13607,
  SpeechGrammarList = 13621,
  SpeechRecognition = 13639,
  SpeechRecognitionAlternative = 13657,
  SpeechRecognitionError = 13686,
  SpeechRecognitionEvent = 13709,
  SpeechRecognitionResult = 13732,
  SpeechRecognitionResultList = 13756,
  SpeechSynthesis = 13784,
  SpeechSynthesisErrorEvent = 13800,
  SpeechSynthesisEvent = 13826,
  SpeechSynthesisUtterance = 13847,
  SpeechSynthesisVoice = 13872,
  StaticRange = 13893,
  StereoPannerNode = 13905,
  Storage = 13922,
  StorageEvent = 13930,
  StorageManager = 13943,
  StreamFilter = 13958,
  StreamFilterDataEvent = 13971,
  StructuredCloneHolder = 13993,
  StructuredCloneTester = 14015,
  StyleSheet = 14037,
  StyleSheetApplicableStateChangeEvent = 14048,
  StyleSheetList = 14085,
  StyleSheetRemovedEvent = 14100,
  SubmitEvent = 14123,
  SubtleCrypto = 14135,
  SyncMessageSender = 14148,
  SyncReadFile = 14166,
  TCPServerSocket = 14179,
  TCPServerSocketEvent = 14195,
  TCPSocket = 14216,
  TCPSocketErrorEvent = 14226,
  TCPSocketEvent = 14246,
  TaskController = 14261,
  TaskPriorityChangeEvent = 14276,
  TaskSignal = 14300,
  TelemetryStopwatch = 14311,
  TestUtils = 14330,
  TestingDeprecatedInterface = 14340,
  Text = 14367,
  TextClause = 14372,
  TextDecoder = 14383,
  TextDecoderStream = 14395,
  TextEncoder = 14413,
  TextEncoderStream = 14425,
  TextMetrics = 14443,
  TextTrack = 14455,
  TextTrackCue = 14465,
  TextTrackCueList = 14478,
  TextTrackList = 14495,
  TimeEvent = 14509,
  TimeRanges = 14519,
  ToggleEvent = 14530,
  Touch = 14542,
  TouchEvent = 14548,
  TouchList = 14559,
  TrackEvent = 14569,
  TransformStream = 14580,
  TransformStreamDefaultController = 14596,
  TransitionEvent = 14629,
  TreeColumn = 14645,
  TreeColumns = 14656,
  TreeContentView = 14668,
  TreeWalker = 14684,
  UDPMessageEvent = 14695,
  UDPSocket = 14711,
  UIEvent = 14721,
  URL = 14729,
  URLSearchParams = 14733,
  URLSearchParams_Iterator = 14749,
  UniFFIPointer = 14774,
  UniFFIScaffolding = 14788,
  UserActivation = 14806,
  UserInteraction = 14821,
  UserProximityEvent = 14837,
  VRDisplay = 14856,
  VRDisplayCapabilities = 14866,
  VRDisplayEvent = 14888,
  VREyeParameters = 14903,
  VRFieldOfView = 14919,
  VRFrameData = 14933,
  VRMockController = 14945,
  VRMockDisplay = 14962,
  VRPose = 14976,
  VRServiceTest = 14983,
  VRStageParameters = 14997,
  VTTCue = 15015,
  VTTRegion = 15022,
  ValidityState = 15032,
  VideoColorSpace = 15046,
  VideoDecoder = 15062,
  VideoEncoder = 15075,
  VideoFrame = 15088,
  VideoPlaybackQuality = 15099,
  VideoTrack = 15120,
  VideoTrackList = 15131,
  VisualViewport = 15146,
  WEBGL_color_buffer_float = 15161,
  WEBGL_compressed_texture_astc = 15186,
  WEBGL_compressed_texture_etc = 15216,
  WEBGL_compressed_texture_etc1 = 15245,
  WEBGL_compressed_texture_pvrtc = 15275,
  WEBGL_compressed_texture_s3tc = 15306,
  WEBGL_compressed_texture_s3tc_srgb = 15336,
  WEBGL_debug_renderer_info = 15371,
  WEBGL_debug_shaders = 15397,
  WEBGL_depth_texture = 15417,
  WEBGL_draw_buffers = 15437,
  WEBGL_explicit_present = 15456,
  WEBGL_lose_context = 15479,
  WEBGL_provoking_vertex = 15498,
  WakeLock = 15521,
  WakeLockSentinel = 15530,
  WaveShaperNode = 15547,
  WebExtensionContentScript = 15562,
  WebExtensionPolicy = 15588,
  WebGL2RenderingContext = 15607,
  WebGLActiveInfo = 15630,
  WebGLBuffer = 15646,
  WebGLContextEvent = 15658,
  WebGLFramebuffer = 15676,
  WebGLProgram = 15693,
  WebGLQuery = 15706,
  WebGLRenderbuffer = 15717,
  WebGLRenderingContext = 15735,
  WebGLSampler = 15757,
  WebGLShader = 15770,
  WebGLShaderPrecisionFormat = 15782,
  WebGLSync = 15809,
  WebGLTexture = 15819,
  WebGLTransformFeedback = 15832,
  WebGLUniformLocation = 15855,
  WebGLVertexArrayObject = 15876,
  WebKitCSSMatrix = 15899,
  WebSocket = 15915,
  WebTransport = 15925,
  WebTransportBidirectionalStream = 15938,
  WebTransportDatagramDuplexStream = 15970,
  WebTransportError = 16003,
  WebTransportReceiveStream = 16021,
  WebTransportSendStream = 16047,
  WheelEvent = 16070,
  Window = 16081,
  WindowClient = 16088,
  WindowContext = 16101,
  WindowGlobalChild = 16115,
  WindowGlobalParent = 16133,
  WindowRoot = 16152,
  Worker = 16163,
  WorkerDebuggerGlobalScope = 16170,
  WorkerGlobalScope = 16196,
  WorkerLocation = 16214,
  WorkerNavigator = 16229,
  WorkerTestUtils = 16245,
  Worklet = 16261,
  WorkletGlobalScope = 16269,
  WritableStream = 16288,
  WritableStreamDefaultController = 16303,
  WritableStreamDefaultWriter = 16335,
  XMLDocument = 16363,
  XMLHttpRequest = 16375,
  XMLHttpRequestEventTarget = 16390,
  XMLHttpRequestUpload = 16416,
  XMLSerializer = 16437,
  XPathEvaluator = 16451,
  XPathExpression = 16466,
  XPathResult = 16482,
  XRBoundedReferenceSpace = 16494,
  XRFrame = 16518,
  XRInputSource = 16526,
  XRInputSourceArray = 16540,
  XRInputSourceEvent = 16559,
  XRInputSourcesChangeEvent = 16578,
  XRPose = 16604,
  XRReferenceSpace = 16611,
  XRReferenceSpaceEvent = 16628,
  XRRenderState = 16650,
  XRRigidTransform = 16664,
  XRSession = 16681,
  XRSessionEvent = 16691,
  XRSpace = 16706,
  XRSystem = 16714,
  XRView = 16723,
  XRViewerPose = 16730,
  XRViewport = 16743,
  XRWebGLLayer = 16754,
  XSLTProcessor = 16767,
  XULCommandEvent = 16781,
  XULElement = 16797,
  XULFrameElement = 16808,
  XULMenuElement = 16824,
  XULPopupElement = 16839,
  XULResizerElement = 16855,
  XULTextElement = 16873,
  XULTreeElement = 16888,
  console = 16903,
  webkitSpeechGrammar = 16911,
  webkitSpeechGrammarList = 16931,
  webkitSpeechRecognition = 16955,
  webkitURL = 16979,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
